> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payingame.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Attributes

Will update the attributes of an Item (if the item is put on DYNAMIC), based on the Token ID. In case of a web3 item, it will reconstruct the Json attached to the NFT.
This will only work if the product is identified as "platform managed".


## OpenAPI

````yaml POST /Attributes
openapi: 3.1.0
info:
  title: PayInGame Public API
  description: >-
    REST API for accessing games, products, prices, languages, receipts, and
    payments.
  version: 1.0.0
servers:
  - url: https://intern.payingame.io/rest/PayIngame/PublicAPI
security: []
paths:
  /Attributes:
    post:
      summary: >-
        Modify attributes of an owned item (only if the product is 'platform
        managed'). Only attributes that are put on DYNAMIC will be taken into
        consideration.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              oneOf:
                - type: object
                  required:
                    - ApiKey
                    - ProjectGuid
                    - TokenID
                    - IsIgnoreErrors
                    - Attributes
                  properties:
                    ApiKey:
                      type: string
                    ProjectGuid:
                      type: string
                      format: uuid
                    TokenID:
                      type: string
                      description: >-
                        The ID of the item that needs to be changed. This can be
                        found by calling the 'items' or 'item' endpoint.
                    IsIgnoreErrors:
                      type: boolean
                      enum:
                        - false
                      description: >-
                        When this field is set to true, then the system will
                        ignore items that are not existing in the attributes. If
                        set to false, then it will not save any attribute in
                        case of a problem.
                    Atrtibutes:
                      type: array
                      minItems: 1
                      items:
                        type: object
                        required:
                          - Name
                          - Value
                        properties:
                          Name:
                            type: string
                          Value:
                            type: string
      responses:
        '200':
          description: Award tokens response
          content:
            application/json:
              schema:
                type: object
                properties:
                  isError:
                    type: string
                    example: '0'
                  Error:
                    type: string
                    example: ''
                required:
                  - isError
                  - Error

````